#!/bin/sh
#
# (c) 2013 by effemmess
#
# Installs owncloud
# Supported OS: Illumos (tested on OmniOS b281e50)
#
iamp_addin_ver="1.3"
iamp_owncloud_ver="0.3"
####################################### 

#install php-extensions
echo "Do you want to install owncloud?(Y/N)"
while ! [[ $abfrage1 == [YyJjNn] ]]; do
	read abfrage1
	case "$abfrage1" in
		[JjYy])		result=1;;
		[Nn])		result=0;;
		*)			result=0;;
	esac
done
if ((result))
then
#Abrage, ob Voraussetzungen erfüllt, d.h. apache,php in /opt/local
#to do (Abfrage, ob Pakete installiert sind)
	if test -w  /opt/local/etc/httpd/httpd.conf
	then
		cp /opt/local/etc/httpd/httpd.conf /opt/local/etc/httpd/httpd.conf.last
	else
		echo "Apache isn´t installed with pkgin in original path or httpd.conf is not writable"
		exit
	fi
	if test -w /opt/local/etc/php.ini
	then :
		cp /opt/local/etc/php.ini /opt/local/etc/php.ini.last
	else
		echo "PHP isn´t installed with pkgin in original path or php.ini is not writable"
		exit
	fi
# Install PHP-extensions
# for oc
#	pkgin -y install php54-ftp-5.4.19
	install_paket "php54-ftp" "PHP extension"

#########OwnCloud
#	pkgin -y install php54-owncloud-5.0.7
	install_paket "php54-owncloud" ""

# remove original (old) owncloud from activ
# Attention! not if ...(f.i. data in it)
	mv  /opt/local/share/owncloud /opt/local/share/owncloud-5.0.7
# download the latest package from owncloud-website
# download here? Or better in $setupdir? Keep the archiv for later installations?
# to do: query newest
	wget -P /opt/local/share/ http://download.owncloud.org/community/owncloud-5.0.10.tar.bz2

# unpacking
	tar -xjf /opt/local/share/owncloud-5.0.10.tar.bz2 -C /opt/local/share/

# remove the original archiv (if you want)
	rm /opt/local/share/owncloud-5.0.10.tar.bz2

#set owner for the new directory
	chown -R www:www /opt/local/share/owncloud

# install some important php-extensions
#	pkgin -y install php54-curl-5.4.19
	install_paket "php54-curl" "PHP extension"
#	pkgin -y install php54-intl-5.4.19
	install_paket "php54-intl" "PHP extension"
	

# add something to php.ini
	echo "Do you want to install pre-configured php.ini?(Y/N)"
	while ! [[ $abfrage2 == [YyJjNn] ]]; do
		read abfrage2
		case "$abfrage2" in
			[JjYy])		result=1;;
			[Nn])		result=0;;
			*)			result=0;;
		esac
	done
	if ((result))
	then
		cp $setupdir/conf.iampo/php.ini /opt/local/etc/php.ini
	fi

# add something to httpd.conf
	echo "Do you want to install pre-configured httpd.conf and httpd_owncloud.conf?(Y/N)"
	while ! [[ $abfrage3 == [YyJjNn] ]]; do
		read abfrage3
		case "$abfrage3" in
			[JjYy])		result=1;;
			[Nn])		result=0;;
			*)			result=0;;
		esac
	done
	if ((result))
	then
		cp $setupdir/conf.iampo/httpd.conf /opt/local/etc/httpd/httpd.conf
		cp $setupdir/conf.iampo/httpd_owncloud.conf /opt/local/etc/httpd/httpd_owncloud.conf
	fi
fi

